 include/asm-m68k/bitops.h |   36 +++++++++++++++++-------------------
 1 files changed, 17 insertions(+), 19 deletions(-)

diff -puN include/asm-m68k/bitops.h~ext2-no-lock_super-fix-5 include/asm-m68k/bitops.h
--- 25/include/asm-m68k/bitops.h~ext2-no-lock_super-fix-5	2003-03-13 23:51:52.000000000 -0800
+++ 25-akpm/include/asm-m68k/bitops.h	2003-03-13 23:52:15.000000000 -0800
@@ -354,16 +354,6 @@ ext2_set_bit (int nr, volatile void *vad
 	return retval;
 }
 
-static inline int
-ext2_set_bit_atomic (spinlock_t *lock, int nr, volatile void *vaddr)
-{
-	int ret;
-	spin_lock(lock);
-	ret = ext2_set_bit(nr, vaddr);
-	spin_unlock(lock);
-	return ret;
-}
-
 extern __inline__ int
 ext2_clear_bit (int nr, volatile void *vaddr)
 {
@@ -375,15 +365,23 @@ ext2_clear_bit (int nr, volatile void *v
 	return retval;
 }
 
-static inline int
-ext2_clear_bit_atomic (spinlock_t *lock, int nr, volatile void *vaddr)
-{       
-        int ret;
-        spin_lock(lock);
-        ret = ext2_clear_bit(nr, vaddr);
-        spin_unlock(lock);
-        return ret;
-}       
+#define ext2_set_bit_atomic(lock, nr, addr)		\
+	({						\
+		int ret;				\
+		spin_lock(lock);			\
+		ret = ext2_set_bit((nr), (addr));	\
+		spin_unlock(lock);			\
+		ret;					\
+	})
+
+#define ext2_clear_bit_atomic(lock, nr, addr)		\
+	({						\
+		int ret;				\
+		spin_lock(lock);			\
+		ret = ext2_clear_bit((nr), (addr));	\
+		spin_unlock(lock);			\
+		ret;					\
+	})
 
 extern __inline__ int
 ext2_test_bit (int nr, const volatile void *vaddr)

_
